incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Om <bigosma...@gmail.com>
Subject Re: Prepping for Installer 2.0 RC1
Date Mon, 31 Dec 2012 09:30:21 GMT
On Sun, Dec 30, 2012 at 9:37 PM, Alex Harui <aharui@adobe.com> wrote:

> Not sure. Any chance you are pointing at AIR SDK 3.1 somehow?
>
>
Yes, that was it.  I had an environment variable pointing to AIR SDK 3.1.
 Changing that fixed it.

Installer 2.0 compiles and runs fine with AIR 3.4 via the build.xml.

Justin, any luck with your issue?

Thanks,
Om


>
> On 12/30/12 4:37 PM, "Om" <bigosmallm@gmail.com> wrote:
>
> > BTW, the app compiles and runs fine with Apache Flex 4.9/AIR 3.4 when I
> run
> > it from Flash Builder 4.6.
> >
> > On Sun, Dec 30, 2012 at 4:34 PM, Om <bigosmallm@gmail.com> wrote:
> >
> >> This is the error I am getting when I run ant release.  Error in *bold*
> >>
> >> I googled this issue, it looks like quite a few folks have this issue
> with
> >> AIR 3.4.  I have not been able to find out what is happening.  Any
> ideas?
> >>
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer>ant release
> >> Buildfile:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\build.xml
> >>
> >> clean:
> >>    [delete] Deleting directory
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\i
> >> nstaller\build
> >>    [delete] Deleting directory
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\i
> >> nstaller\libs
> >>    [delete] Deleting directory
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\i
> >> nstaller\release
> >>
> >> createDirs:
> >>      [echo]
> >>      [echo]
> >> ************************************************************
> >> ************************
> >>      [echo]         Execute the update-version target once, and only
> once,
> >> when
> >> you modifiy this app.
> >>      [echo]         This will increment the version number to allow the
> >> app to b
> >> e updated by the AIR installer.
> >>      [echo]
> >> ************************************************************
> >> ************************
> >>      [echo]
> >>     [mkdir] Created dir:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\install
> >> er\build
> >>     [mkdir] Created dir:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\install
> >> er\release
> >>
> >> update-version-in-xml-files:
> >>      [echo] version in InstallApacheFlex-app.xml will be 2.0.0
> >>
> >> init:
> >>
> >> certificate:
> >>
> >> check-as3commons.swc:
> >>
> >> get-as3commons.swc:
> >>     [mkdir] Created dir:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\install
> >> er\libs
> >>       [get] Getting:
> >> http://projects.yoolab.org/maven/content/repositories/relea
> >>
> >>
> ses/org/as3commons/as3commons-zip/1.0.0-alpha.1/as3commons-zip-1.0.0-alpha.1.
> >> swc
> >>
> >>       [get] To:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\libs\a
> >> s3commons-zip-1.0.0-alpha.1.swc
> >>       [get] ...
> >>       [get] Getting:
> >> http://projects.yoolab.org/maven/content/repositories/relea
> >>
> >>
> ses/org/as3commons/as3commons-zip/1.0.0-alpha.1/as3commons-zip-1.0.0-alpha.1.
> >> swc
> >> .md5
> >>       [get] To:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\libs\a
> >> s3commons-zip-1.0.0-alpha.1.swc.md5
> >>       [get] .
> >>    [delete] Deleting:
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\
> >> libs\as3commons-zip-1.0.0-alpha.1.swc.md5
> >>
> >> compile:
> >>     [mxmlc] Loading configuration file C:\Program Files
> (x86)\Adobe\Adobe
> >> Flash
> >> Builder 4.6\sdks\ApacheFlex4.9.0\frameworks\air-config.xml
> >>     [mxmlc]
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\build\Inst
> >> allApacheFlex.swf (1511233 bytes)
> >>
> >> abortBuild:
> >>
> >> *packageair:*
> >> *     [java]
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\src\Instal*
> >> *lApacheFlex-app.xml: error 102: Invalid namespace
> >> http://ns.adobe.com/air/applic*
> >> *ation/3.4*
> >>
> >> BUILD FAILED
> >> C:\p\flex_os\workspace\flexroot\utilities\trunk\installer\build.xml:291:
> >> Java re
> >> turned: 12
> >>
> >> Total time: 11 seconds
> >>
> >> On Sun, Dec 30, 2012 at 3:39 PM, Om <bigosmallm@gmail.com> wrote:
> >>
> >>> On Sun, Dec 30, 2012 at 3:36 PM, Justin Mclean
> >>> <justin@classsoftware.com>wrote:
> >>>
> >>>> Hi,
> >>>>
> >>>>> I am using Apache Flex 4.8 to build the installer.  Which means
AIR
> >>>> 3.1,
> >>>>> right?
> >>>>
> >>>> I think we should be using AF 4.9/AIR 3.4 - be nice if the SDK and
> >>>> installer were in sync.
> >>>>
> >>>> Justin
> >>>>
> >>>>
> >>> Makes sense.  i will get on it now.  Mind posting what errors you are
> >>> seeing?
> >>>
> >>> Om
> >>>
> >>
> >>
>
> --
> Alex Harui
> Flex SDK Team
> Adobe Systems, Inc.
> http://blogs.adobe.com/aharui
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message